Bug 889985 - [ovirt-engine] auto-recovery for storage server should change to "True", auto-recovery for hosts should be True by default on engine as in DB.
[ovirt-engine] auto-recovery for storage server should change to "True", auto...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
x86_64 Unspecified
urgent Severity high
: ---
: 3.2.0
Assigned To: Liron Aravot
Dafna Ron
: Improvement
Depends On:
  Show dependency treegraph
Reported: 2012-12-24 04:22 EST by Haim
Modified: 2016-02-10 15:22 EST (History)
10 users (show)

See Also:
Fixed In Version: SF6
Doc Type: Enhancement
Doc Text:
Auto recovery for storage domains and hosts was not occuring by default. This was because the incorrect value of FALSE was set for storage domains auto recovery in the database, and hosts auto recovery in the engine. Auto recovery for both storage domains and hosts is now enabled by default. This has been done by: 1. Setting AutoRecoveryAllowedTypes as TRUE for storage domains. 2. Setting the correct value for AutoRecoveryAllowedTypes in ConfigValues.java.
Story Points: ---
Clone Of:
Last Closed: 2013-06-10 17:30:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10387 None None None Never

  None (edit)
Description Haim 2012-12-24 04:22:50 EST
Description of problem:

currently, auto-recovery for storage domains is set on False:

 336 | AutoRecoveryAllowedTypes    | {"storage domains":"false","hosts":"true"} | general

please change it to True as we have supported code which requires this change.
Comment 3 Liron Aravot 2013-01-03 08:26:29 EST

1. set AutoRecoveryAllowedTypes as true for storage domains.
2. set the correct value for AutoRecoveryAllowedTypes in
ConfigValues.java so that auto recovery will be enabled for hosts as
configured in vdc_options table without having to reload it.
Comment 4 Leonid Natapov 2013-02-13 09:53:30 EST
SF6. fixed.

345 | AutoRecoveryAllowedTypes    | {"storage domains":"true","hosts":"true"} | general
(3 rows)
Comment 5 Cheryn Tan 2013-04-03 02:54:17 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:


Thanks in advance.
Comment 6 errata-xmlrpc 2013-06-10 17:30:46 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.